Name:           ruby-libvirt
Version:        0.5.2
Release:        3%{?dist}
Summary:        Ruby bindings for libvirt
Group:          Development/Languages

License:        LGPLv2+
URL:            http://libvirt.org/ruby/
Source0:        http://libvirt.org/ruby/download/%{name}-%{version}.tgz

BuildRequires:  ruby
BuildRequires:  rubygem(rake)
BuildRequires:  ruby-devel
BuildRequires:  libvirt-devel >= 0.4.0
BuildRequires:  rubygem-rdoc
Requires:       ruby(release)
Provides:       ruby(libvirt) = %{version}


%description
Ruby bindings for libvirt.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
rake build

%install
install -d -m0755 %{buildroot}%{ruby_vendorlibdir}
install -d -m0755 %{buildroot}%{ruby_vendorarchdir}
install -p -m0644 lib/libvirt.rb %{buildroot}%{ruby_vendorlibdir}
install -p -m0755 ext/libvirt/_libvirt.so %{buildroot}%{ruby_vendorarchdir}

%files
%doc COPYING NEWS README
%{ruby_vendorlibdir}/libvirt.rb
%{ruby_vendorarchdir}/_libvirt.so


%changelog
* Thu Jan 09 2014 Chris Lalancette <clalancette@gmail.com> - 0.5.2-3
- Fix bogus tarball

* Wed Jan 08 2014 Chris Lalancette <clalancette@gmail.com> - 0.5.2-2
- Update to upstream 0.5.2

* Mon Dec 09 2013 Chris Lalancette <clalancette@gmail.com> - 0.5.0-2
- Add patch to conditionally compile VIR_MIGRATE_PARAM_LISTEN_ADDRESS

* Mon Dec 09 2013 Chris Lalancette <clalancette@gmail.com> - 0.5.0-1
- Update to upstream 0.5.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 17 2013 Chris Lalancette <clalancette@gmail.com> - 0.4.0-7
- Update for ruby(release)

* Tue Feb 19 2013 Chris Lalancette <clalancette@gmail.com> - 0.4.0-6
- Add patch to update to newer rdoc

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 07 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.0-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 29 2011 Chris Lalancette <clalance@redhat.com> - 0.4.0-1
- Update to upstream 0.4.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 12 2010 Chris Lalancette <clalance@redhat.com> - 0.3.0-1
- Updated bindings to implement most libvirt methods up to 0.8.6
- Updated rdoc documentation
- Bumped package version to 0.3.0

* Thu Jul 01 2010 Chris Lalancette <clalance@redhat.com> - 0.2.0-1
- Updated bindings to have many of the new libvirt methods implemented
- Bumped package version to 0.2.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar  9 2009 David Lutterkort <lutter@redhat.com> - 0.1.0-4
- Disable tests since they cause spurious failures

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 18 2008 David Lutterkort <lutter@redhat.com> - 0.1.0-2
- Added test-sort-list.patch to fix fragile test

* Tue Nov 18 2008 David Lutterkort <lutter@redhat.com> - 0.1.0-1
- Remove no-capabilities-test.patch, since it's upstream now

* Tue Apr 15 2008 David Lutterkort <dlutter@redhat.com> - 0.0.7-2
- Added no-capabilities-test.patch to suppress a fragile test

* Tue Apr 15 2008 David Lutterkort <dlutter@redhat.com> - 0.0.7-1
- New version

* Wed Apr  2 2008 David Lutterkort <dlutter@redhat.com> - 0.0.6-1
- New version

* Wed Apr  2 2008 David Lutterkort <dlutter@redhat.com> - 0.0.5-1
- Remove explicit xen-devel dependency

* Tue Apr  1 2008 David Lutterkort <dlutter@redhat.com> - 0.0.4-1
- New version

* Thu Mar  6 2008 David Lutterkort <dlutter@redhat.com> - 0.0.3-1
- Updated for libvirt 0.4.1

* Wed Jan  2 2008 David Lutterkort <dlutter@redhat.com> - 0.0.2-3
- Make _libvirt.so strippable by changing permissions to +x

* Wed Dec 19 2007 David Lutterkort <dlutter@redhat.com> - 0.0.2-2
- Replace use of RPM_BUILD_ROOT by buildroot macro
- Fix URL

* Thu Dec  6 2007 David Lutterkort <dlutter@redhat.com> - 0.0.2-1
- New version

* Mon Nov 19 2007 David Lutterkort <dlutter@redhat.com> - 0.0.1-1
- Initial specfile
